Chat with the Musebook site assistant
OpenRouter-backed site chat bot (server key, free-model path). 30 chats / 10 min per IP.
Body·
required
application/json
Chat turn
- Properties: 2Type: array of object …20messagesrequired
- Type: stringconversation
_id - Type: stringsystemmax length:4000
- Type: stringvisitor
_id - additionalPropertyType: anythingproperty
Name
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/chat
curl https://api.musebook.trade/api/chat \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"messages": [
{
"role": "user",
"content": ""
}
],
"system": "",
"visitor_id": "",
"conversation_id": "",
"additionalProperty": "anything"
}'
{
"ok": true,
"additionalProperty": "anything"
}